Page MenuHomePhabricator

Selenium test runner should notify SDC team when it detects failures
Closed, ResolvedPublic

Description

User story: As an SDC engineer, I would like to get notified when selenium tests (not all of them are covered by CI) discover that something has broken.

We have this:

We have a very rudimentary test runner (http://sdc-test-runner.wmflabs.org/) that pulls the latest test suites and runs them on a daily basis.

We want this:

If the test runner finds issues, we'd like it to notify us immediately.

Acceptance Criteria:

  • Test runner sends a notification in slack

and/or

  • Test runner sends an email to the team mailing list

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptJul 4 2019, 1:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Should be done (slack notification) - won't be able to test until patch for T219815 gets merged

Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Jul 17 2019, 8:09 PM
Ramsey-WMF added a subscriber: Ramsey-WMF.

Should be done (slack notification) - won't be able to test until patch for T219815 gets merged

That ticket seems to have been merged. Are we good to move forward on this?

matthiasmullie closed this task as Resolved.Jul 18 2019, 6:46 AM

Closing - we're getting notifications in Slack!